{% extends 'base.html.twig' %}
{% block title %}Listes Documents {% endblock %}
{% block body %}
    {% for message in app.flashes('info') %}
        <div class="alert alert-success">{{ message }}</div>
    {% endfor %}
    <td>
        <a>
            <button class="btn btn-success btn_new_document" url="{{ path('document_new') }}"><span
                        class="glyphicon glyphicon-plus" title="Envoyer Document"> Envoyer Document</span></button>
        </a></td>
    <div class="box">
        <div class="box-header">
            <h3 class="box-title">Liste des documents envoyées </h3>
        </div>
        <!-- /.box-header -->
        <div class="box-body">
            <table id="example2" class="table table-bordered table-striped">
                <thead>
                <tr>
                    <th>Date de creation</th>
                    <th>Nom</th>
                    <th>Description</th>


                    <th>Date d'envoi</th>
                    <th>Crée par</th>
                    <th>Action</th>
                </tr>
                </thead>
                <tbody>
                {% for document in documents %}
                    {% if document.createdBy is same as(app.user) %}
                        <tr>
                            <td>{{ document.createdAt ? document.createdAt|date('Y-m-d H:i:s') : '' }}</td>
                            <td>{{ document.name }}</td>
                            <td>{{ document.description }}</td>


                            <td>{{ document.updatedAt ? document.updatedAt|date('Y-m-d H:i:s') : '' }}</td>
                            <td>{{ document.createdBy ? document.createdBy : '' }}</td>
                            <td>
                                <a>
                                    <button class="btn btn-primary btn_info_document"
                                            url="{{ path('documentexcel_show_by_user', {'id': document.id}) }}"><span
                                                class="glyphicon glyphicon-info-sign" title="Détail"></span></button>
                                </a>

                                {% if not document.isSend %}
                                    <a href="{{ path('document_send', {'id': document.id}) }}">Envoyé</a>
                                {% else %}

                                    <p>Document Envoyé </p>

                                {% endif %}
                            </td>
                        </tr>
                    {% endif %}

                {% else %}
                    <tr>
                        <td colspan="8">Pas d'enregistrement</td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
            <div align='center' class="navigation">
                {{ knp_pagination_render(pdocuments) }}
            </div>

            {#fenetre modale D'ajout#}

            <div class="modal fade" id="modalDocument" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
                 aria-hidden="true">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header text-center">
                            <h4 class="modal-title w-100 font-weight-bold titre_modal_document"></h4>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <div class="text-center">
                                <img src="{{ asset('images/loading.svg') }}" class="load_modal_body">
                            </div>
                            <div class="content_modal_body">
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

{% endblock %}
{% block mesJavascripts %}

    <script>
        $('body').on('click', '.btn_new_document', function (event) {
            $('#modalDocument').modal('show');
            $('.content_modal_body').html('');
            $('.load_modal_body').show();
            $('.titre_modal_document').html('Envoyer nouveau document');
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'POST',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                    (function ($) { $('select').select2({theme: "classic"}) }(jQuery));
                }
            });
        });

        $('body').on('click', '.btn_info_document', function (event) {
            $('#modalDocument').modal('show');
            $('.content_modal_body').html('');
            $('.load_modal_body').show();
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            $('.titre_modal_document').html('Info document');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'GET',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                }
            });
        });

        $('body').on('click', '.save_document', function (event) {

            var form = $('#form_add_document');
            var formData = new FormData(document.getElementById("form_add_document"));

            $.ajax({
                type: 'POST',
                cache: false,
                data: formData,
                url: form.attr('action'),
                processData: false,
                contentType: false,

                beforeSend: function (XMLHttpRequest) {
                    $('#form_add_document').attr('disabled', true);
                },

                success: function (msg) {
                    if (msg == 'ok') {
                        $('#modalDocument').modal('hide');
                        location.reload();
                    } else {
                        $('.content_modal_body').html(msg);
                        (function ($) { $('select').select2({theme: "classic"}) }(jQuery));
                        //alert('erreur');
                    }
                }
            });

        });

    </script>

{% endblock %}